clear

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Table 1 for n = 4 bodies %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load pts_four_bodies

data_table1_4B = zeros(6,8); 

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

p = 9 ; q = 10; x = x_9_10; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_4B(1,:) = [p q U0(1:6)'];

p = 5 ; q = 6; x = x_5_6; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_4B(2,:) = [p q U0(1:6)'];

p = 11 ; q = 14; x = x_11_14; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_4B(3,:) = [p q U0(1:6)'];

p = 13 ; q = 18; x = x_13_18; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_4B(4,:) = [p q U0(1:6)'];

p = 7 ; q = 10; x = x_7_10; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_4B(5,:) = [p q U0(1:6)'];

p = 9 ; q = 14; x = x_9_14; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_4B(6,:) = [p q U0(1:6)'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Table 1 for n = 5 bodies %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load pt_five_bodies

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

p = 1; q = 3; x = x_1_3; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_5B = [p q U0(1:6)'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Table 1 for n = 7 bodies %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load pts_seven_bodies

data_table1_7B = zeros(6,8); 

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

p = 11 ; q = 15; x = x_11_15; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_7B(1,:) = [p q U0(1:6)'];

p = 12 ; q = 17; x = x_12_17; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_7B(2,:) = [p q U0(1:6)'];

p = 13 ; q = 19; x = x_13_19; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_7B(3,:) = [p q U0(1:6)'];

p = 15 ; q = 23; x = x_15_23; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_7B(4,:) = [p q U0(1:6)'];

p = 16 ; q = 25; x = x_16_25; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_7B(5,:) = [p q U0(1:6)'];

p = 1 ; q = 2; x = x_1_2; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_7B(6,:) = [p q U0(1:6)'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Table 1 for n = 9 bodies %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load pts_nine_bodies

data_table1_9B = zeros(2,8); 

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

p = 13 ; q = 10; x = x_13_10; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_9B(1,:) = [p q U0(1:6)'];

p = 10 ; q = 7; x = x_10_7; omega = q/p*sqrt(s1); par=[omega;n;k];
[U0,~] = get_initial_condition(x,par);
data_table1_9B(2,:) = [p q U0(1:6)'];
