function Z2 = int_compute_Z2(x,omega,A,n,k,nu,r_star)

par = [omega;n;k];

x = intval(x);
nu = intval(nu);

norm_A = operator_norm(intval(A),par,1,nu);

m = (length(x)+3)/(2*(n+5)); % The Fourier projection per component

%%%% Define the indices corresponding to the variables

i_lambda = (1:3);
i_alpha = i_lambda(end) + (1:n-1);
i_u1 = i_alpha(end) + (1:2*m-1);
i_u2 = i_u1(end) + (1:2*m-1);
i_u3 = i_u2(end) + (1:2*m-1);
i_v1 = i_u3(end) + (1:2*m-1);
i_v2 = i_v1(end) + (1:2*m-1);
i_v3 = i_v2(end) + (1:2*m-1);

i_wj = zeros(n-1,2*m-1);
i_wj(1,:) = i_v3(end) + (1:2*m-1);

for j=1:n-1
    i_wj(j+1,:) = i_wj(j,end) + (1:2*m-1);
end

h_delta_u(1,1) = 2*norm_nu(x(i_u1),nu) + norm_nu(x(i_u2),nu) + 3*r_star;
h_delta_u(2,1) = norm_nu(x(i_u1),nu) + 2*norm_nu(x(i_u2),nu) + 3*r_star;
h_delta_u(3,1) = 2*norm_nu(x(i_u3),nu) + 2*r_star;

h_delta_v(1,1) = 2*norm_nu(x(i_v1),nu) + norm_nu(x(i_v2),nu) + 3*r_star;
h_delta_v(2,1) = norm_nu(x(i_v1),nu) + 2*norm_nu(x(i_v2),nu) + 3*r_star;
h_delta_v(3,1) = 2*norm_nu(x(i_v3),nu) + 2*r_star;

h_z_alpha = intval(zeros(n-1,1));
h_w = intval(zeros(n-1,1));
h_z_w = intval(zeros(n-1,1));

alpha = x(i_alpha);

i_p = [3;3;2];

for j=1:n-1

    wj = x(i_wj(j,:));
    h_w(j) = norm_nu(wj,nu) + r_star;
    h_z_alpha(j) = 2*sum( h_delta_u.^2 + 4*h_w(j)*i_p.*h_delta_u + h_w(j)^2*i_p.^2 );
    h_z_w(j) = 2*h_w(j)*sum( 3*h_delta_u.*h_delta_v + 3*h_w(j)*i_p.*(h_delta_u+h_delta_v) + h_w(j)*i_p.^2 ) + 6*h_w(j)*(h_w(j)+abs(alpha(j))+r_star);
    
end

h_z_v = intval(zeros(3,1));

for p=1:3
    h_z_v(p) = 4+6*sum( i_p(p)*h_w.^2 + h_delta_u(p,1)*h_w );
end

Z2 = norm_A*max([max(h_z_alpha) max(h_z_v) max(h_z_w)]);

end

