function normA = operator_norm(A,par,tail,nu)

n = mid(par(2));

m = (length(A)+3)/(2*(n+5)); % The Fourier projection per component

norm_A = intval(zeros(2*n+7,1));

i_lambda = (1:3);
i_alpha = i_lambda(end) + (1:n-1);
i_u1 = i_alpha(end) + (1:2*m-1);
i_u2 = i_u1(end) + (1:2*m-1);
i_u3 = i_u2(end) + (1:2*m-1);
i_v1 = i_u3(end) + (1:2*m-1);
i_v2 = i_v1(end) + (1:2*m-1);
i_v3 = i_v2(end) + (1:2*m-1);

i_wj = zeros(n-1,2*m-1);
i_wj(1,:) = i_v3(end) + (1:2*m-1);

for j=1:n-1
    i_wj(j+1,:) = i_wj(j,end) + (1:2*m-1);
end

for q = 1:n+2
    norm_A(q) = sum(abs(A(q,1:i_alpha(end)))) + norm_dual_nu(A(q,i_u1),nu) + norm_dual_nu(A(q,i_u2),nu) + norm_dual_nu(A(q,i_u3),nu) + norm_dual_nu(A(q,i_v1),nu) + norm_dual_nu(A(q,i_v2),nu) + norm_dual_nu(A(q,i_v3),nu);
    for j=1:n-1
        norm_A(q) = norm_A(q) + norm_dual_nu(A(q,i_wj(j,:)),nu);
    end
end

for q = 1:n+2
    norm_A(n+3) = norm_A(n+3) + norm_nu(A(i_u1,q),nu) ;
    norm_A(n+4) = norm_A(n+4) + norm_nu(A(i_u2,q),nu) ;
    norm_A(n+5) = norm_A(n+5) + norm_nu(A(i_u3,q),nu) ;
    norm_A(n+6) = norm_A(n+6) + norm_nu(A(i_v1,q),nu) ;
    norm_A(n+7) = norm_A(n+7) + norm_nu(A(i_v2,q),nu) ;
    norm_A(n+8) = norm_A(n+8) + norm_nu(A(i_v3,q),nu) ;
end

norm_A(n+3) = norm_A(n+3) + norm_op_nu(A(i_u1,i_u1),nu) + norm_op_nu(A(i_u1,i_u2),nu) + norm_op_nu(A(i_u1,i_u3),nu) + norm_op_nu(A(i_u1,i_v1),nu) + norm_op_nu(A(i_u1,i_v2),nu) + norm_op_nu(A(i_u1,i_v3),nu);
norm_A(n+4) = norm_A(n+4) + norm_op_nu(A(i_u2,i_u1),nu) + norm_op_nu(A(i_u2,i_u2),nu) + norm_op_nu(A(i_u2,i_u3),nu) + norm_op_nu(A(i_u2,i_v1),nu) + norm_op_nu(A(i_u2,i_v2),nu) + norm_op_nu(A(i_u2,i_v3),nu);
norm_A(n+5) = norm_A(n+5) + norm_op_nu(A(i_u3,i_u1),nu) + norm_op_nu(A(i_u3,i_u2),nu) + norm_op_nu(A(i_u3,i_u3),nu) + norm_op_nu(A(i_u3,i_v1),nu) + norm_op_nu(A(i_u3,i_v2),nu) + norm_op_nu(A(i_u3,i_v3),nu);
norm_A(n+6) = norm_A(n+6) + norm_op_nu(A(i_v1,i_u1),nu) + norm_op_nu(A(i_v1,i_u2),nu) + norm_op_nu(A(i_v1,i_u3),nu) + norm_op_nu(A(i_v1,i_v1),nu) + norm_op_nu(A(i_v1,i_v2),nu) + norm_op_nu(A(i_v1,i_v3),nu);
norm_A(n+7) = norm_A(n+7) + norm_op_nu(A(i_v2,i_u1),nu) + norm_op_nu(A(i_v2,i_u2),nu) + norm_op_nu(A(i_v2,i_u3),nu) + norm_op_nu(A(i_v2,i_v1),nu) + norm_op_nu(A(i_v2,i_v2),nu) + norm_op_nu(A(i_v2,i_v3),nu);
norm_A(n+8) = norm_A(n+8) + norm_op_nu(A(i_v3,i_u1),nu) + norm_op_nu(A(i_v3,i_u2),nu) + norm_op_nu(A(i_v3,i_u3),nu) + norm_op_nu(A(i_v3,i_v1),nu) + norm_op_nu(A(i_v3,i_v2),nu) + norm_op_nu(A(i_v3,i_v3),nu);

for j = 1:n-1
    norm_A(n+3) = norm_A(n+3) + norm_op_nu(A(i_u1,i_wj(j,:)),nu) ;
    norm_A(n+4) = norm_A(n+4) + norm_op_nu(A(i_u2,i_wj(j,:)),nu) ;
    norm_A(n+5) = norm_A(n+5) + norm_op_nu(A(i_u3,i_wj(j,:)),nu) ;
    norm_A(n+6) = norm_A(n+6) + norm_op_nu(A(i_v1,i_wj(j,:)),nu) ;
    norm_A(n+7) = norm_A(n+7) + norm_op_nu(A(i_v2,i_wj(j,:)),nu) ;
    norm_A(n+8) = norm_A(n+8) + norm_op_nu(A(i_v3,i_wj(j,:)),nu) ;
end

for d = 1:n-1
    for q = 1:n+2
        norm_A(n+8+d) = norm_A(n+8+d) + norm_nu(A(i_wj(d,:),q),nu) ;
    end
    
    norm_A(n+8+d) = norm_A(n+8+d) + norm_op_nu(A(i_wj(d,:),i_u1),nu) + norm_op_nu(A(i_wj(d,:),i_u2),nu) + norm_op_nu(A(i_wj(d,:),i_u3),nu) + norm_op_nu(A(i_wj(d,:),i_v1),nu) + norm_op_nu(A(i_wj(d,:),i_v2),nu) + norm_op_nu(A(i_wj(d,:),i_v3),nu) ;
        
    for j=1:n-1
        norm_A(n+8+d) = norm_A(n+8+d) + norm_op_nu(A(i_wj(d,:),i_wj(j,:)),nu) ;
    end
end

if tail==0
    normA = max(norm_A);
else
    omega = par(1);
    tail_terms = [zeros(n+2,1);1/m;1/m;1/m;1/(omega^2*m);1/(omega^2*m);1/(omega^2*m);ones(n-1,1)*1/m];
    normA = max(norm_A+tail_terms);
end

end