function [] = plot_choreography(x,par)

omega = par(1); % the frequency
n = par(2); % Number of bodies in the choreography

m = (length(x)+3)/(2*(n+5)); % The Fourier projection per component

%u : Fourier coefficients of u(t) = (x(t),y(t),z(t))
u = reshape(x(n+3:6*m+n-1),2*m-1,3); %u_1 = u(:,1); u_2 = u(:,2); u_3 = u(:,3);
u1 = u(:,1); u2 = u(:,2); u3 = u(:,3);

figure, hold on
[~,y1] = plot_periodic_complex(u1,omega,[.7 0 0]);
[~,y2] = plot_periodic_complex(u2,omega,[0 .7 0]);
[~,y3] = plot_periodic_complex(u3,omega,[0 0 .7]);
set(gca,'FontSize',15)
xlabel('$$t$$', 'Interpreter', 'latex', 'FontSize', 25)

figure
hold on
plot3(y1,y2,y3,'linewidth',3,'color',[0 0 .8])
set(gca,'FontSize',15)
xlabel('$$u_1(t)$$', 'Interpreter', 'latex', 'FontSize', 25)
ylabel('$$u_2(t)$$', 'Interpreter', 'latex', 'FontSize', 25)
zlabel('$$u_3(t)$$', 'Interpreter', 'latex', 'FontSize', 25)

set(0, 'DefaultAxesFontWeight', 'bold')

[U0,~] = get_initial_condition(x,par);

plot3(U0(1),U0(2),U0(3),'*','linewidth',2,'color',[0 0 0])
plot3(U0(7),U0(8),U0(9),'*','linewidth',2,'color',[0 0 0])
plot3(U0(13),U0(14),U0(15),'*','linewidth',2,'color',[0 0 0])
plot3(U0(19),U0(20),U0(21),'*','linewidth',2,'color',[0 0 0])



end

