function [t,y] = plot_periodic_complex(a,nu,color)

period = 2*pi/nu;
m = (length(a)+1)/2;
a1 = real(a(m:end));
a2 = imag(a(m:end));
t = (0:.001:period);
y = periodic(nu,a1,a2,t);

plot(t,y,'Color',color,'LineWidth',3)
box off
hold on
plot([0 period],[0 0],'color',[0 0 0])
axis tight
set(gca,'FontSize',15)
xlabel('$$t$$', 'Interpreter', 'latex', 'FontSize', 25)
%ylabel('$$y(t)$$', 'Interpreter', 'latex', 'FontSize', 25)

end

function [periodic]=periodic(L,a,b,t)

m=length(a);

sum=0;
for k=1:m-1
    sum=sum+a(k+1,1)*cos(k*L*t)-b(k+1,1)*sin(k*L*t);
end
periodic=a(1,1)+2*sum;

end