
clear
close all

load pt_five_bodies

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

izeta = 2*intval('pi')/n;
is1 = (1/intval(4))*sum(1./sin((1:n-1)*izeta/2));

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 3:1 %%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 3; q = 1; 
omega = (p/q)*sqrt(s1); par=[omega;n;k];

% proof
x = x_3_1; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); 
[x,tu] = symmetrize_x(x,tu,par);
m1 = 350; nu = 1.03; %% Worked with these values (takes about 21 minutes) : r_min = 4.5448e-10
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = (intval(p)/intval(q))*sqrt(is1);
[I1,success1] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I1; success = success1;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2 = [p q T m nu r];
