
clear
close all

load pts_four_bodies

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

izeta = 2*intval('pi')/n;
is1 = (1/intval(4))*sum(1./sin((1:n-1)*izeta/2));

data_table2 = zeros(6,6); 

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 10:9 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 10; q = 9; 
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_10_9; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 40; nu = 1.1; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I1,success1] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I1; success = success1;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(1,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 6:5 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 6; q = 5;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_6_5; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 40; nu = 1.1; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1); 
[I2,success2] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I2; success = success2;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(2,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 14:11 %%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 14; q = 11;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_14_11; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 60; nu = 1.1; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I3,success3] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I3; success = success3;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(3,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 18:13 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 18; q = 13;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_18_13; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 200; nu = 1.1; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I4,success4] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I4; success = success4;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(4,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 10:7 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 10; q = 7;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_10_7; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 250; nu = 1.1; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I5,success5] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I5; success = success5;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(5,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 14:9 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 14; q = 9;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_14_9; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 900; nu = 1.04; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I6,success6] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I6; success = success6;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(6,:) = [p q T m nu r];


