
clear
close all

load pts_seven_bodies

zeta = 2*pi/n;
s1 = (1/4)*sum(1./sin((1:n-1)*zeta/2));

izeta = 2*intval('pi')/n;
is1 = (1/intval(4))*sum(1./sin((1:n-1)*izeta/2));

data_table2 = zeros(6,6); 

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 15:11 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 15; q = 11;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_15_11; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 45; nu = 1.15; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;
tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I1,success1] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I1; success = success1;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(1,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 17:12 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 17; q = 12;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_17_12; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 70; nu = 1.11; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;

tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1); 
[I2,success2] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I2; success = success2;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(2,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 19:13 %%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 19; q = 13;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_19_13; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 85; nu = 1.07; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;

tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I3,success3] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I3; success = success3;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(3,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 23:15 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 23; q = 15;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_23_15; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 160; nu = 1.05; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;

tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I4,success4] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I4; success = success4;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(4,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 25:16 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 25; q = 16;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_25_16; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 200; nu = 1.04; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;

tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I5,success5] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I5; success = success5;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(5,:) = [p q T m nu r];

disp(' ')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%% Resonance 2:1 %%%%%%%%%%%%%%%%%%%')
disp('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')

p = 2; q = 1;
omega = p/q*sqrt(s1); par=[omega;n;k];

% proof
x = x_2_1; m = (length(x)+3)/(2*(n+5));
tu = from_x_to_u(x,par); [x,tu] = symmetrize_x(x,tu,par);
m1 = 500; nu = 1.04; 
x = padding_choreography(x,tu,par,m1);
x(1:n+2)=0;

tot_size = length(x); disp(['m = ',num2str(m),'. Total system size = ',num2str(tot_size)])

iomega = intval(p)/intval(q)*sqrt(is1);
[I6,success6] = radii_polynomials_choreography(x,iomega,n,k,nu);

I=I6; success = success6;
disp(['Success = ',num2str(success),', and I = [',num2str(I(1)),',',num2str(I(2)),']'])

T = 2*pi/omega; r = I(1);
data_table2(6,:) = [p q T m nu r];
