function [I,success] = radii_polynomials_choreography(x,omega,n,k,nu)

r_star = 1e-5;

N = length(x);

m = (length(x)+3)/(2*(n+5)); % The Fourier projection per component

tu = x(n+3:6*m+n-1); %u_1 = u(:,1); u_2 = u(:,2); u_3 = u(:,3);

par = [omega;n;k];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Definition of the operator A %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

disp('Computing iDF...')
iDF = int_DF_choreographies(x,tu,par);
A = mid(iDF)\eye(N);

%%%%%%
% Y0 %
%%%%%%

Y0 = sup(int_compute_Y0(x,tu,par,A,nu));
disp(['Y0 = ',num2str(Y0)])

%%%%%%
% Z0 %
%%%%%%

B = abs(intval(eye(N))-A*iDF);

Z0 = operator_norm(B,par,0,nu);
disp(['Z0 = ',num2str(sup(Z0))])

%%%%%%
% Z1 %
%%%%%%

disp('Computing Z1...')

Z1 = sup(int_compute_Z1(x,par,A,nu));
disp(['Z1 = ',num2str(sup(Z1))])

%%%%%%
% Z2 %
%%%%%%

Z2 = int_compute_Z2(x,omega,A,n,k,nu,r_star);
disp(['Z2 = ',num2str(sup(Z2))])

%%%%%%%%%%%%%%%%%%%%
% Radii polynomial %
%%%%%%%%%%%%%%%%%%%%

P = sup([Z2 Z1+Z0-1 Y0]);

R=sort(roots(P)); R=sort(R(R>0))';

if norm(imag(R))>0
    success=0;
    I=[-1 -1];
    return
end

if length(R)<1
    success=0;
    I=[-1 -1];
else
    r_min=max(R(:,1)); r_max=min(R(:,2));
    if r_min<r_max
        I=[r_min r_max];
        success=1;
    else
        I=[-1 -1];
        success=0;
    end
end

end